al_get_font_line_height(3)

NAME

al_get_font_line_height - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_font.h>
    int al_get_font_line_height(const ALLEGRO_FONT *f)

DESCRIPTION

Returns the usual height of a line of text in the specified font. For bitmap fonts this is simply the height of all glyph bitmaps. For truetype fonts it is whatever the font file specifies. In particular, some special glyphs may be higher than the height returned here.

If the X is the position you specify to draw text, the meaning of ascent and descent and the line height is like in the figure below.

    X------------------------
        /\         |        |
       /  \        |        |
      /____\       ascent   |
     /      \      |        |
    /        \     |        height
    ----------------        |
                   |        |
                   descent  |
                   |        |
    -------------------------

SEE ALSO

al_get_text_width(3), al_get_text_dimensions(3)